"""
FIAS TYPES
"""

"""Standart types for houses"""
house_signs = {
    "этаж": {"эт", "этаж"},
    'помещение': {'пом', 'помещение'},
    'квартира': {'кв', 'квартира'},
    'офис': {'оф', 'офис'},
    'комната': {"ком", 'комн', 'комната'},
    'рабочий участок': {'рабочий участок', 'раб участок', 'рабочий уч-к', 'раб уч-к', 'раб уч', 'рабочий уч'},
    'склад': {"скл", "склад"},
    'торговый зал': {'торговый зал', 'торг зал'},
    'цех': {"цех", 'ц'},
    'павильон': {'пав', 'павильон'},
    'машино-место': {'машино-место', 'машино место', 'машиноместо', 'м м'},
    'гараж': {'гараж', 'гж'},

    'корпус': {'к', 'корп', 'копр', 'кор', 'корпус'},
    'литера': set("абвежз"),
    'прочее': {'литер', 'литера', 'лит'},
    "сооружение": {"сооружение", "сооруж"},
    'строение': {'с', 'стр', 'строен', 'строение'},

    'дом': {'д', 'дом'},
    'владение': {'владение', 'влд', 'вл'},
    'домовладение': {'домовлаледние', 'двлд'},
    'участок': {'участок', 'уч', 'уч-к'},
}

"""Standart address objects"""
address_types = {
    'абхазия': {'абхазия', 'abh'},
    'австралия': {'австралия', 'aus'},
    'австрия': {'австрия', 'aut'},
    'азербайджан': {'азербайджан', 'aze'},
    'албания': {'албания', 'alb'},
    'алжир': {'алжир', 'dza'},
    'американское самоа': {'американское самоа', 'asm'},
    'ангилья': {'ангилья', 'aia'},
    'ангола': {'ангола', 'ago'},
    'андорра': {'андорра', 'and'},
    'антарктида': {'антарктида', 'ata'},
    'антигуа и барбуда': {'антигуа и барбуда', 'atg'},
    'аргентина': {'аргентина', 'arg'},
    'армения': {'армения', 'arm'},
    'аруба': {'аруба', 'abw'},
    'афганистан': {'афганистан', 'afg'},
    'багамы': {'багамы', 'bhs'},
    'бангладеш': {'бангладеш', 'bgd'},
    'барбадос': {'барбадос', 'brb'},
    'бахрейн': {'бахрейн', 'bhr'},
    'беларусь': {'беларусь', 'blr'},
    'белиз': {'белиз', 'blz'},
    'бельгия': {'бельгия', 'bel'},
    'бенин': {'бенин', 'ben'},
    'бермуды': {'бермуды', 'bmu'},
    'болгария': {'болгария', 'bgr'},
    'боливия, многонациональное государство': {'боливия, многонациональное государство', 'bol'},
    'бонайре, саба и синт-эстатиус': {'бонайре, саба и синт-эстатиус', 'bes'},
    'босния и герцеговина': {'босния и герцеговина', 'bih'},
    'ботсвана': {'ботсвана', 'bwa'},
    'бразилия': {'бразилия', 'bra'},
    'британская территория в индийском океане': {'британская территория в индийском океане', 'iot'},
    'бруней-даруссалам': {'бруней-даруссалам', 'brn'},
    'буркина-фасо': {'буркина-фасо', 'bfa'},
    'бурунди': {'бурунди', 'bdi'},
    'бутан': {'бутан', 'btn'},
    'вануату': {'вануату', 'vut'},
    'венгрия': {'венгрия', 'hun'},
    'венесуэла боливарианская республика': {'венесуэла боливарианская республика', 'ven'},
    'виргинские острова, британские': {'виргинские острова, британские', 'vgb'},
    'виргинские острова, сша': {'виргинские острова, сша', 'vir'},
    'вьетнам': {'вьетнам', 'vnm'},
    'габон': {'габон', 'gab'},
    'гаити': {'гаити', 'hti'},
    'гайана': {'гайана', 'guy'},
    'гамбия': {'гамбия', 'gmb'},
    'гана': {'гана', 'gha'},
    'гваделупа': {'гваделупа', 'glp'},
    'гватемала': {'гватемала', 'gtm'},
    'гвинея': {'гвинея', 'gin'},
    'гвинея-бисау': {'гвинея-бисау', 'gnb'},
    'германия': {'германия', 'deu'},
    'гернси': {'гернси', 'ggy'},
    'гибралтар': {'гибралтар', 'gib'},
    'гондурас': {'гондурас', 'hnd'},
    'гонконг': {'гонконг', 'hkg'},
    'гренада': {'гренада', 'grd'},
    'гренландия': {'гренландия', 'grl'},
    'греция': {'греция', 'grc'},
    'грузия': {'грузия', 'geo'},
    'гуам': {'гуам', 'gum'},
    'дания': {'дания', 'dnk'},
    'джерси': {'джерси', 'jey'},
    'джибути': {'джибути', 'dji'},
    'доминика': {'доминика', 'dma'},
    'доминиканская республика': {'доминиканская республика', 'dom'},
    'египет': {'египет', 'egy'},
    'замбия': {'замбия', 'zmb'},
    'западная сахара': {'западная сахара', 'esh'},
    'зимбабве': {'зимбабве', 'zwe'},
    'израиль': {'израиль', 'isr'},
    'индия': {'индия', 'ind'},
    'индонезия': {'индонезия', 'idn'},
    'иордания': {'иордания', 'jor'},
    'ирак': {'ирак', 'irq'},
    'иран, исламская республика': {'иран, исламская республика', 'irn'},
    'ирландия': {'ирландия', 'irl'},
    'исландия': {'исландия', 'isl'},
    'испания': {'испания', 'esp'},
    'италия': {'италия', 'ita'},
    'йемен': {'йемен', 'yem'},
    'кабо-верде': {'кабо-верде', 'cpv'},
    'казахстан': {'казахстан', 'kaz'},
    'камбоджа': {'камбоджа', 'khm'},
    'камерун': {'камерун', 'cmr'},
    'канада': {'канада', 'can'},
    'катар': {'катар', 'qat'},
    'кения': {'кения', 'ken'},
    'кипр': {'кипр', 'cyp'},
    'киргизия': {'киргизия', 'kgz'},
    'кирибати': {'кирибати', 'kir'},
    'китай': {'китай', 'chn'},
    'кокосовые {килинг} острова': {'кокосовые {килинг} острова', 'cck'},
    'колумбия': {'колумбия', 'col'},
    'коморы': {'коморы', 'com'},
    'конго': {'конго', 'cog'},
    'конго, демократическая республика': {'конго, демократическая республика', 'cod'},
    'корея, народно-демократическая республика': {'корея, народно-демократическая республика', 'prk'},
    'корея, республика': {'корея, республика', 'kor'},
    'коста-рика': {'коста-рика', 'cri'},
    'кот д\'ивуар': {'кот д\'ивуар', 'civ'},
    'куба': {'куба', 'cub'},
    'кувейт': {'кувейт', 'kwt'},
    'кюрасао': {'кюрасао', 'cuw'},
    'лаос': {'лаос', 'lao'},
    'латвия': {'латвия', 'lva'},
    'лесото': {'лесото', 'lso'},
    'либерия': {'либерия', 'lbr'},
    'ливан': {'ливан', 'lbn'},
    'ливийская арабская джамахирия': {'ливийская арабская джамахирия', 'lby'},
    'литва': {'литва', 'ltu'},
    'лихтенштейн': {'лихтенштейн', 'lie'},
    'люксембург': {'люксембург', 'lux'},
    'маврикий': {'маврикий', 'mus'},
    'мавритания': {'мавритания', 'mrt'},
    'мадагаскар': {'мадагаскар', 'mdg'},
    'майотта': {'майотта', 'myt'},
    'макао': {'макао', 'mac'},
    'малави': {'малави', 'mwi'},
    'малайзия': {'малайзия', 'mys'},
    'мали': {'мали', 'mli'},
    'малые тихоокеанские отдаленные острова соединенных штатов': {'малые тихоокеанские отдаленные острова соединенных'
                                                                  ' штатов', 'umi'},
    'мальдивы': {'мальдивы', 'mdv'},
    'мальта': {'мальта', 'mlt'},
    'марокко': {'марокко', 'mar'},
    'мартиника': {'мартиника', 'mtq'},
    'маршалловы острова': {'маршалловы острова', 'mhl'},
    'мексика': {'мексика', 'mex'},
    'микронезия, федеративные штаты': {'микронезия, федеративные штаты', 'fsm'},
    'мозамбик': {'мозамбик', 'moz'},
    'молдова, республика': {'молдова, республика', 'mda'},
    'монако': {'монако', 'mco'},
    'монголия': {'монголия', 'mng'},
    'монтсеррат': {'монтсеррат', 'msr'},
    'мьянма': {'мьянма', 'mmr'},
    'намибия': {'намибия', 'nam'},
    'науру': {'науру', 'nru'},
    'непал': {'непал', 'npl'},
    'нигер': {'нигер', 'ner'},
    'нигерия': {'нигерия', 'nga'},
    'нидерланды': {'нидерланды', 'nld'},
    'никарагуа': {'никарагуа', 'nic'},
    'ниуэ': {'ниуэ', 'niu'},
    'новая зеландия': {'новая зеландия', 'nzl'},
    'новая каледония': {'новая каледония', 'ncl'},
    'норвегия': {'норвегия', 'nor'},
    'объединенные арабские эмираты': {'объединенные арабские эмираты', 'are'},
    'оман': {'оман', 'omn'},
    'остров буве': {'остров буве', 'bvt'},
    'остров мэн': {'остров мэн', 'imn'},
    'остров норфолк': {'остров норфолк', 'nfk'},
    'остров рождества': {'остров рождества', 'cxr'},
    'остров херд и острова макдональд': {'остров херд и острова макдональд', 'hmd'},
    'острова кайман': {'острова кайман', 'cym'},
    'острова кука': {'острова кука', 'cok'},
    'острова теркс и кайкос': {'острова теркс и кайкос', 'tca'},
    'пакистан': {'пакистан', 'pak'},
    'палау': {'палау', 'plw'},
    'палестинская территория, оккупированная': {'палестинская территория, оккупированная', 'pse'},
    'панама': {'панама', 'pan'},
    'папский престол {государство — город ватикан}': {'папский престол {государство — город ватикан}', 'vat'},
    'папуа-новая гвинея': {'папуа-новая гвинея', 'png'},
    'парагвай': {'парагвай', 'pry'},
    'перу': {'перу', 'per'},
    'питкерн': {'питкерн', 'pcn'},
    'польша': {'польша', 'pol'},
    'португалия': {'португалия', 'prt'},
    'пуэрто-рико': {'пуэрто-рико', 'pri'},
    'республика македония': {'республика македония', 'mkd'},
    'реюньон': {'реюньон', 'reu'},
    'россия': {'россия', 'rus'},
    'руанда': {'руанда', 'rwa'},
    'румыния': {'румыния', 'rou'},
    'самоа': {'самоа', 'wsm'},
    'сан-марино': {'сан-марино', 'smr'},
    'сан-томе и принсипи': {'сан-томе и принсипи', 'stp'},
    'саудовская аравия': {'саудовская аравия', 'sau'},
    'свазиленд': {'свазиленд', 'swz'},
    'святая елена, остров вознесения, тристан-да-кунья': {'святая елена, остров вознесения, тристан-да-кунья', 'shn'},
    'северные марианские острова': {'северные марианские острова', 'mnp'},
    'сейшелы': {'сейшелы', 'syc'},
    'сен-бартельми': {'сен-бартельми', 'blm'},
    'сен-мартен': {'сен-мартен', 'maf'},
    'сенегал': {'сенегал', 'sen'},
    'сент-винсент и гренадины': {'сент-винсент и гренадины', 'vct'},
    'сент-китс и невис': {'сент-китс и невис', 'kna'},
    'сент-люсия': {'сент-люсия', 'lca'},
    'сент-пьер и микелон': {'сент-пьер и микелон', 'spm'},
    'сербия': {'сербия', 'srb'},
    'сингапур': {'сингапур', 'sgp'},
    'синт-мартен': {'синт-мартен', 'sxm'},
    'сирийская арабская республика': {'сирийская арабская республика', 'syr'},
    'словакия': {'словакия', 'svk'},
    'словения': {'словения', 'svn'},
    'соединенное королевство': {'соединенное королевство', 'gbr'},
    'соединенные штаты': {'соединенные штаты', 'usa'},
    'соломоновы острова': {'соломоновы острова', 'slb'},
    'сомали': {'сомали', 'som'},
    'судан': {'судан', 'sdn'},
    'суринам': {'суринам', 'sur'},
    'сьерра-леоне': {'сьерра-леоне', 'sle'},
    'таджикистан': {'таджикистан', 'tjk'},
    'таиланд': {'таиланд', 'tha'},
    'тайвань {китай}': {'тайвань {китай}', 'twn'},
    'танзания, объединенная республика': {'танзания, объединенная республика', 'tza'},
    'тимор-лесте': {'тимор-лесте', 'tls'},
    'того': {'того', 'tgo'},
    'токелау': {'токелау', 'tkl'},
    'тонга': {'тонга', 'ton'},
    'тринидад и тобаго': {'тринидад и тобаго', 'tto'},
    'тувалу': {'тувалу', 'tuv'},
    'тунис': {'тунис', 'tun'},
    'туркмения': {'туркмения', 'tkm'},
    'турция': {'турция', 'tur'},
    'уганда': {'уганда', 'uga'},
    'узбекистан': {'узбекистан', 'uzb'},
    'украина': {'украина', 'ukr'},
    'уоллис и футуна': {'уоллис и футуна', 'wlf'},
    'уругвай': {'уругвай', 'ury'},
    'фарерские острова': {'фарерские острова', 'fro'},
    'фиджи': {'фиджи', 'fji'},
    'филиппины': {'филиппины', 'phl'},
    'финляндия': {'финляндия', 'fin'},
    'фолклендские острова {мальвинские}': {'фолклендские острова {мальвинские}', 'flk'},
    'франция': {'франция', 'fra'},
    'французская гвиана': {'французская гвиана', 'guf'},
    'французская полинезия': {'французская полинезия', 'pyf'},
    'французские южные территории': {'французские южные территории', 'atf'},
    'хорватия': {'хорватия', 'hrv'},
    'центрально-африканская республика': {'центрально-африканская республика', 'caf'},
    'чад': {'чад', 'tcd'},
    'черногория': {'черногория', 'mne'},
    'чешская республика': {'чешская республика', 'cze'},
    'чили': {'чили', 'chl'},
    'швейцария': {'швейцария', 'che'},
    'швеция': {'швеция', 'swe'},
    'шпицберген и ян майен': {'шпицберген и ян майен', 'sjm'},
    'шри-ланка': {'шри-ланка', 'lka'},
    'эквадор': {'эквадор', 'ecu'},
    'экваториальная гвинея': {'экваториальная гвинея', 'gnq'},
    'эландские острова': {'эландские острова', 'ala'},
    'эль-сальвадор': {'эль-сальвадор', 'slv'},
    'эритрея': {'эритрея', 'eri'},
    'эстония': {'эстония', 'est'},
    'эфиопия': {'эфиопия', 'eth'},
    'южная африка': {'южная африка', 'zaf'},
    'южная джорджия и южные сандвичевы острова': {'южная джорджия и южные сандвичевы острова', 'sgs'},
    'южная осетия': {'южная осетия', 'ost'},
    'южный судан': {'южный судан', 'ssd'},
    'ямайка': {'ямайка', 'jam'},
    'япония': {'япония', 'jpn'},


    'город федерального значения москва': {"город фередального значения москва", "москва", "г москва"},
    'город федерального значения санкт-петербург': {"спб", "город федерального значения санкт-петербург", "г спб",
                                                    "г санкт-петербург"},
    'город федерального значения севастополь': {"севастополь", "город федерального значения севастополь",
                                                "г севастополь"},


    'область': {"область", "обл", "обл-ть"},
    'республика': {"республика", 'респ'},
    'край': {'край'},
    'автономный округ': {'автономный округ', "автономный", 'аокр', 'а окр'},
    'автономная область': {'автономная область', 'авт обл', 'аобл', 'а обл', 'аобл'},

    'аллея': {'аллея', 'а', 'ал'},
    'бульвар': {'б-р', 'бульвар'},
    'набережная': {'наб', 'набережная'},
    'переулок': {'пер', 'переулок'},
    'площадь': {'пл', "площадь"},
    'проспект': {"проспект", "пр", "пр-кт", "просп", 'пр-т'},
    "проезд": {"проезд", "пр-д", "прд"},
    "улица": {"улица", "ул", "у", 'ул-ца'},

    'район': {'район', "р", "р-н"},
    'микрорайон': {'микрорайон', 'мкр'},
    'поселок': {'поселок', 'посёлок', "пос"},
    'поселок городского типа': {'поселок городского типа', 'посёлок городского типа', 'пос гор типа', 'пос гор типа',
                                'пос гор типа'},

    'город': {'г', 'гор', 'город'},
    'село': {'с', 'село', 'сел'},
    'деревня': {'дер', 'деревня', 'д-ня'},  # press f for "д",
    'сельский поселок': {"сельский поселок", "сельский посёлок", "сп", 'сельское поселение', 'сельпо', 'сп', 'сел п', },

    'абонентский ящик': {'абонентский ящик', 'а/я'},
    'берег': {'берег', 'берег'},
    'вал': {'вал', 'вал'},
    'взвоз': {'взвоз', 'взв'},
    'въезд': {'въезд', 'въезд'},
    'городок': {'городок', 'г-к'},
    'гаражно-строительный кооп': {'гаражно-строительный кооп', 'гск'},
    'дорога': {'дорога', 'дор'},
    'железнодорожная будка': {'железнодорожная будка', 'ж/д будка'},
    'железнодорожная казарма': {'железнодорожная казарма', 'ж/д казарм'},
    'ж/д останов {обгонный} пункт': {'ж/д останов {обгонный} пункт', 'ж/д оп'},
    'железнодорожная платформа': {'железнодорожная платформа', 'ж/д платф'},
    'железнодорожный пост': {'железнодорожный пост', 'ж/д пост'},
    'железнодорожный разъезд': {'железнодорожный разъезд', 'ж/д рзд'},
    'железнодорожная станция': {'железнодорожная станция', 'ж/д ст'},
    'животноводческая точка': {'животноводческая точка', 'жт'},
    'заезд': {'заезд', 'ззд'},
    'зона': {'зона', 'зона'},
    'кольцо': {'кольцо', 'к-цо'},
    'казарма': {'казарма', 'казарма'},
    'квартал': {'квартал', 'кв-л'},
    'километр': {'километр', 'км'},
    'коса': {'коса', 'коса'},
    'линия': {'линия', 'лн'},
    'местечко': {'местечко'},
    'метро': {'метро', 'м'},
    'магистраль': {'магистраль', 'мгстр'},
    'местность': {'местность', 'местность'},
    'мост': {'мост', 'мост'},
    'населенный пункт': {'населенный пункт', 'нп'},
    'остров': {'остров', 'остров'},
    'почтовое отделение': {'почтовое отделение', 'п/о'},
    'планировочный район': {'планировочный район', 'п/р'},
    'поселок и{при} станция{и}': {'поселок и{при} станция{и}', 'п/ст'},
    'парк': {'парк', 'парк'},
    'переезд': {'переезд', 'пер-д'},
    'площадка': {'площадка', 'пл-ка'},
    'платформа': {'платформа', 'платф'},
    'просек': {'просек', 'пр-к'},
    'просека': {'просека', 'пр-ка'},
    'проселок': {'проселок', 'пр-лок'},
    'промзона': {'промзона', 'промзона'},
    'проулок': {'проулок', 'проул'},
    'разъезд': {'разъезд', 'рзд'},
    'ряд': 'ряд',
    'ряды': 'ряды',
    'спуск': {'спуск', 'с-к'},
    'сквер': {'сквер', 'с-р'},
    'садовое товарищество': {'садовое товарищество', 'с/т'},
    'сад': {'сад', 'сад'},
    'съезд': {'съезд', 'сзд'},
    'слобода': {'слобода', 'сл'},
    'садовое неком-е товарищество': {'садовое неком-е товарищество', 'снт'},
    'станция': {'станция', 'ст'},
    'строение': {'строение', 'стр'},
    'территория': {'территория', 'тер'},
    'территория снт': {'территория снт', 'тер снт'},
    'тракт': {'тракт', 'тракт'},
    'тупик': {'тупик', 'туп'},
    'участок': {'участок', 'уч-к'},
    'фермерское хозяйство': {'фермерское хозяйство', 'ф/х'},
    'ферма': {'ферма', 'ферма'},
    'хутор': {'хутор', 'х'},
    'шоссе': {'шоссе', 'ш'},
}
